package xyz.thastertyn.UserInterface.Content;

import com.googlecode.lanterna.gui2.WindowBasedTextGUI;

import xyz.thastertyn.Types.Choice;

import com.googlecode.lanterna.gui2.Panel;
import com.googlecode.lanterna.gui2.Label;

/**
 * Wrapper to include all classes that deal with content in some way
 */
public abstract class JecnaContent {
	
	public abstract Panel getPanel();
	public abstract void downloadDefault();
	protected abstract void download(Choice choice);
	public abstract boolean hasStarted();
	public abstract Label getLabel();
	public abstract void showOptions(final WindowBasedTextGUI textGUI);
	protected abstract void setGUI();
}
